uniform sampler2D refractionMap;
uniform sampler2D backBuff;
uniform vec2 InvScreen;
varying vec2 Texcoord;
uniform float time;
void main( void )
{
   vec2 rUV = Texcoord;
   vec4 refract = texture2D(refractionMap, rUV);
   vec2 dir = refract.xy * 2.0 - 1.0;
   float size = 0.2;
   vec2 uv = Texcoord;
   vec2 offset = dir * size;
   uv -= offset;
   vec4 color = texture2D(backBuff, uv);
   float strength = length(dir);
   color *= (1 + strength);// * 0.25);
   //this fills the center with white, no longer want that
  color += vec4(1, 0.8, 0.35, 1.0) * strength * 0.25;
   //color = vec4(refract.a,refract.a,refract.a,1.0);
   color.a = min(refract.a*3.0, 1.0);
   gl_FragColor = color;
}

